﻿using Infragistics.Win.UltraWinGrid;
using Infragistics.Win.UltraWinSchedule;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace UltraGridCalendarComboDemo
{
    public partial class Form1 : Form
    {        
        public Form1()
        {
            InitializeComponent();

            DataTable table = new DataTable();
            table.Columns.Add("ID", typeof(int));
            table.Columns.Add("Date", typeof(DateTime));

            for(int i=0; i<10; i++)
            {
                DataRow row = table.NewRow();
                row[0] = i;
                row[1] = DateTime.Today.AddDays(i);
                table.Rows.Add(row);
            }

            ultraGrid1.InitializeLayout += UltraGrid1_InitializeLayout;
            ultraGrid1.DataSource = table;
        }

        private void UltraGrid1_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
            UltraGridBand band = e.Layout.Bands[0];
            UltraGridColumn column = band.Columns["Date"];

            UltraCalendarCombo combo = new UltraCalendarCombo();
            combo.DateButtons.Add(DateButtonType.MaxDate);
            combo.DateButtons.Add(DateButtonType.MinDate);

            column.EditorComponent = combo;
        }
    }
}
